Go to the latest version of this document.

# ``twisted`.`trial`.`_dist`.`workertrial`.`WorkerLogObserver``

class documentation

`class WorkerLogObserver: (source)`

Constructor: `WorkerLogObserver(protocol)`

View In Hierarchy

A log observer that forward its output to a `AMP` protocol.

Method | `__init__` | No summary
Method | `emit` | Produce a log output.
Instance Variable | `protocol` | Undocumented

def __init__(self, protocol): (source)

Parameters
protocol:`AMP` | a connected `AMP` protocol instance.

def emit(self, eventDict): (source)

Produce a log output.

protocol = (source)

Undocumented